Bug: Program received signal SIGSEGV, Segmentation fault.

Having trouble installing or compiling FreeCAD? Get help here.
Post Reply
Atticus
Posts: 2
Joined: Wed May 11, 2022 4:22 am

Bug: Program received signal SIGSEGV, Segmentation fault.

Post by Atticus »

I'm using FreeCAD-s' AppImage and the program crashes immediately upon executing.

OS Linux, Debian:
$ uname -a
Linux **** 4.19.0-20-amd64 #1 SMP Debian 4.19.235-1 (2022-03-17) x86_64 GNU/Linux

Terminal Dump:
$ HOME="$PWD/Settings" FREECAD_USER_HOME="$PWD/Settings" ./FreeCAD_0.19.3-Linux-Conda_glibc2.12-x86_64.AppImage
FreeCAD 0.19, Libs: 0.19R24366 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre and others 2001-2021
FreeCAD is free and open-source software licensed under the terms of LGPL2+ license.
FreeCAD wouldn't be possible without FreeCAD community.

...

Program received signal SIGSEGV, Segmentation fault.
#0 /lib/x86_64-linux-gnu/libc.so.6(+0x37840) [0x7f058b548840]
#1 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x300f37) [0x7f05853f2f37]
#2 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x315314) [0x7f0585407314]
#3 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x3956ef) [0x7f05854876ef]
#4 /lib/x86_64-linux-gnu/libdrm_nouveau.so.2(+0x4619) [0x7f05850a4619]
#5 /lib/x86_64-linux-gnu/libdrm_nouveau.so.2(+0x4a7f) [0x7f05850a4a7f]
#6 /lib/x86_64-linux-gnu/libdrm_nouveau.so.2(nouveau_pushbuf_kick+0x10) [0x7f05850a5670]
#7 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x395bc6) [0x7f0585487bc6]
#8 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x5a1af1) [0x7f0585693af1]
#9 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x24d4359) [0x7f056be4d359]
#10 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x283f997) [0x7f056c1b8997]
#11 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x283fa29) [0x7f056c1b8a29]
#12 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x2802e9c) [0x7f056c17be9c]
#13 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x27f7316) [0x7f056c170316]
#14 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a72e15) [0x7f056d3ebe15]
#15 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a78e3c) [0x7f056d3f1e3c]
#16 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a794f2) [0x7f056d3f24f2]
#17 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a7b155) [0x7f056d3f4155]
#18 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a7f715) [0x7f056d3f8715]
#19 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a7f799) [0x7f056d3f8799]
#20 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x3a76565) [0x7f056d3ef565]
#21 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1db1330) [0x7f056b72a330]
#22 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1dd16e1) [0x7f056b74a6e1]
#23 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1dd23ff) [0x7f056b74b3ff]
#24 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1dd257d) [0x7f056b74b57d]
#25 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1dd0171) [0x7f056b749171]
#26 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1df265f) [0x7f056b76b65f]
#27 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1e255fe) [0x7f056b79e5fe]
#28 /tmp/.mount_FreeCAlUz2CO/usr/plugins/designer/../../lib/libQt5WebEngineCore.so.5(+0x1e565af) [0x7f056b7cf5af]
#29 /lib/x86_64-linux-gnu/libpthread.so.0(+0x7fa3) [0x7f058ab21fa3]
#30 /lib/x86_64-linux-gnu/libc.so.6(clone+0x3f) [0x7f058b609eff]





I also compiled from source code using the instructions posted at the following the link:
https://wiki.freecad.org/Compile_on_Linux

Commands Executed:
$ git clone https://github.com/FreeCAD/FreeCAD.git freecad-source
$ sudo apt build-dep freecad
$ mkdir freecad-build
$ cd freecad-build
$ cmake ../freecad-source
$ make -j$(nproc --ignore=2)


x:/opt/freecad-build/bin$ ./FreeCAD
FreeCAD 0.20, Libs: 0.20R28837 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre and others 2001-2022
FreeCAD is free and open-source software licensed under the terms of LGPL2+ license.
FreeCAD wouldn't be possible without FreeCAD community.

...

Could not import QtNetwork -- it does not appear to be installed on your system. Please install the package 'python3-pyside2.qtnetwork' on your system and if possible contact your FreeCAD package maintainer to alert them to the missing dependency. The Addon Manager will not be available.
Addon Manager Warning: Could not import QtWebEngineWidgets, it seems to be missing from your system. Please use your system's package manager to install the python3-pyside2.qtwebengine* and python3-pyside2.qtwebchannel packages, and if possible alert your package creator to the missing dependency. Display of package README will be limited until this dependency is resolved.
Show.ShowUtils.is3DObject error: No module named 'pivy'

Code: Select all

OS: Debian GNU/Linux 10 (buster) (KDE//usr/share/xsessions/plasma)
Word size of FreeCAD: 64-bit
Version: 0.20.28837 (Git)
Build type: Unknown
Branch: master
Hash: 132fdeade5f901a5bf76a893c84b12e1630b509f
Python 3.7.3, Qt 5.11.3, Coin 4.0.0a, OCC 7.3.0
Locale: English/UnitedStates (en_US)
Compiling from source works; however, I need to resolve the missing dependencies above
openBrain
Veteran
Posts: 7990
Joined: Fri Nov 09, 2018 5:38 pm

Re: Bug: Program received signal SIGSEGV, Segmentation fault.

Post by openBrain »

@Atticus Could you test with a 0.20 AppImage?
wmayer
Founder
Posts: 18795
Joined: Thu Feb 19, 2009 10:32 am

Re: Bug: Program received signal SIGSEGV, Segmentation fault.

Post by wmayer »

Atticus wrote: Wed May 11, 2022 5:26 am #1 /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so(+0x300f37) [0x7f05853f2f37]
I use the nouveau driver too and by default I also get random crashes when loading the StartPage. What fixed it for me is to set the option of Use Software OpenGL in the preferences.

In case FreeCAD crashes immediately every time you start it then you can also modify your user.cfg by hand. The file is located in $PWD/Settings, now open it with a text editor and search for the content Name="OpenGL". Replace this group with:

Code: Select all

        <FCParamGroup Name="OpenGL">
          <FCBool Name="UseSoftwareOpenGL" Value="1"/>
        </FCParamGroup>
Atticus
Posts: 2
Joined: Wed May 11, 2022 4:22 am

Re: Bug: Program received signal SIGSEGV, Segmentation fault.

Post by Atticus »

Compiled from source as follows:
x:/opt/freecad-build$ cmake ../freecad-source


==============
Summary report
==============

-- Build type:
-- Compiler: /usr/bin/c++ (8.3.0)
-- Flags: -Wall -Wextra -Wno-write-strings
-- Standard: Requires C++17
-- Python: 3.7.3 [/usr/bin/python3.7] [.cpython-37m-x86_64-linux-gnu]
-- PCL: not enabled
-- pybind11: not enabled
-- Boost: 1.67.0 (106700)
-- XercesC: 3.2.2 [/usr/lib/x86_64-linux-gnu/libxerces-c.so] [/usr/include]
-- ZLIB: 1.2.11
-- PyCXX: 6.2.8 [/opt/freecad-source/src]
-- OCC: 7.3.0 [TKFillet;TKMesh;TKernel;TKG2d;TKG3d;TKMath;TKIGES;TKSTL;TKShHealing;TKXSBase;TKBool;TKBO;TKBRep;TKTopAlgo;TKGeomAlgo;TKGeomBase;TKOffset;TKPrim;TKSTEPBase;TKSTEPAttr;TKSTEP209;TKSTEP;TKHLR;TKFeat] [/usr/lib/x86_64-linux-gnu] [/usr/include/opencascade]
-- SMESH: build internal
-- MEDFile: 4.0.0 [/usr/lib/x86_64-linux-gnu/libmedC.so] [/usr/include]
-- HDF5: 1.10.4
-- VTK: 7.1.1
-- NETGEN: not enabled
-- SWIG: 3.0.12
-- Eigen3 3.3.7
-- Qt5Core: 5.11.3
-- Qt5Network: 5.11.3
-- Qt5Xml: 5.11.3
-- Qt5XmlPatterns: 5.11.3
-- Qt5Widgets: 5.11.3
-- Qt5PrintSupport: 5.11.3
-- Qt5OpenGL: 5.11.3
-- Qt5Svg: 5.11.3
-- Qt5UiTools: 5.11.3
-- Qt5Concurrent: 5.11.3
-- Qt5WebKitWidgets: 5.212.0
-- Designer plugin: not built per user request (BUILD_DESIGNER_PLUGIN)
-- Shiboken2: 5.11.2 [/usr/lib/x86_64-linux-gnu/cmake/Shiboken2-5.11.2] [/usr/include/shiboken2]
-- PySide2: 5.11.2 [/usr/include/PySide2]
-- PySide2Tools: [/usr/bin/pyside2-uic] [/usr/bin/pyside2-rcc]
-- Freetype: 2.9.1
-- OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- OpenGLU: [/usr/lib/x86_64-linux-gnu/libGLU.so][/usr/include]
-- Coin3D: 4.0.0 [/usr/lib/x86_64-linux-gnu/libCoin.so] [/usr/include]
-- Pivy: 0.6.5a0
-- SPNAV: [/usr/lib/libspnav.so] [/usr/include]
-- Matplotlib: 3.0.2
-- Rift: not enabled (BUILD_VR)
-- Doxygen: 1.8.13
-- Language: English
-- Coin3D_DOC: not found
=================================================
Now run 'cmake --build /opt/freecad-build' to build FreeCAD
=================================================




FreeCAD now executes with no warnings or errors!
x:/opt/freecad-build/bin$ HOME="$PWD/Settings" FREECAD_USER_HOME="$PWD/Settings" ./FreeCAD

Code: Select all

OS: Debian GNU/Linux 10 (buster) (KDE//usr/share/xsessions/plasma)
Word size of FreeCAD: 64-bit
Version: 0.20.28837 (Git)
Build type: Unknown
Branch: master
Hash: 132fdeade5f901a5bf76a893c84b12e1630b509f
Python 3.7.3, Qt 5.11.3, Coin 4.0.0a, OCC 7.3.0
Locale: English/UnitedStates (en_US)
Post Reply